summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/doc/latex/isodoc
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2014-04-26 00:14:06 +0000
committerKarl Berry <karl@freefriends.org>2014-04-26 00:14:06 +0000
commit0289e11bbf07142ef814984652ea24865da08009 (patch)
tree6db08b5114c86158345f11ac15be4940e81901f9 /Master/texmf-dist/doc/latex/isodoc
parent06d6ec80f4e865544af67659307bb85d366df78b (diff)
isodoc (25apr14)
git-svn-id: svn://tug.org/texlive/trunk@33683 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/doc/latex/isodoc')
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/README12
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/inst160
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/isodoc.pdfbin1351702 -> 1351746 bytes
-rw-r--r--Master/texmf-dist/doc/latex/isodoc/template.ldf44
4 files changed, 107 insertions, 109 deletions
diff --git a/Master/texmf-dist/doc/latex/isodoc/README b/Master/texmf-dist/doc/latex/isodoc/README
index 870542fba6d..fea8a670b32 100644
--- a/Master/texmf-dist/doc/latex/isodoc/README
+++ b/Master/texmf-dist/doc/latex/isodoc/README
@@ -1,5 +1,4 @@
--------------------------------------------------------------------------------------
-isodoc --- Typesetting of letters and invoices
+isodoc --- LaTeX class used for typesetting of letters and invoices
Author: Wybo Dekker
E-mail: wybo@dekkerdocumenten.nl
License: Released under the LaTeX Project Public License v1.3c or later
@@ -17,10 +16,11 @@ The package contains several examples, that are used in the documentation.
These can individually be compiled, which may be useful for users to
experiment with.
+Full documentation:
+https://bitbucket.org/wybodekker/isodoc/downloads/isodoc.pdf
+
Installation:
Execute the inst script with the --help option for more information.
-Changes in version 1.04:
- - footers and copyto did not work correctly.
- - closingskip option removed; use dimen signatureskip in style file.
- - some skips now have own dimen for easier adaptation in style file.
+Changes in version 1.05:
+ - README and inst script reorganized
diff --git a/Master/texmf-dist/doc/latex/isodoc/inst b/Master/texmf-dist/doc/latex/isodoc/inst
index 56c1cf04d82..71ecdf11af3 100644
--- a/Master/texmf-dist/doc/latex/isodoc/inst
+++ b/Master/texmf-dist/doc/latex/isodoc/inst
@@ -1,44 +1,79 @@
#!/bin/bash
+ dtxname=isodoc
+ dtxtype=class
+ ext=cls
+ delete=($dtxname.$ext README.tex)
+ dtxversion=$(grep " v[0-9.]\+[a-z]\{0,1\} $dtxname $dtxtype" $dtxname.dtx |sed 's/.* v\([0-9.]\+[a-z]\{,1\}\) .*/\1/')
+executables=(mk texlog_extract zip getopt pdfseparate pdflatex)
- NAME=isodoc
- DOCTYPE=class
- EXT=cls
- VERSION=`grep " v[0-9.]\+[a-z]\{,1\} $NAME $DOCTYPE" $NAME.dtx |sed 's/.* v\([0-9.]\+[a-z]\{,1\}\) .*/\1/' `
-EXECUTABLES=(pdfseparate zip unzip getopt pdflatex xelatex)
+ version=1.00
+ myname=$(basename $0)
-function die {
- echo -e "$*"
- exit 1
-}
+<<'DOC'
+= inst - install isodoc
+
+= Synopsis
+inst [options]
+
+Without any options, inst installs simplot iin the first writable
+TEXMFMAIN, TEXMFLOCAL or TEXMFHOME tree.
+
+Options:
+-h,--help print this help and exit
+-H,--Help print full documentation via less and exit
+-V,--version print version and exit
+
+
+= Description
+inst must be run in its own directory (|./inst|) and then does the following:
+- generates the documentation for isodoc,
+- installs isodoc in one of your TeX trees: TEXMFMAIN, TEXMFLOCAL or TEXMFHOME.
+ The first one writable by you will chosen.
+- creates a zip file named |isodoc-x.yy.zip| for upload to CTAN
+- cleans up
-function setdir { # create installation directory
+= Author and copyright
+Author Wybo Dekker
+Email U{wybo@dekkerdocumenten.nl}{wybo@dekkerdocumenten.nl}
+License Released under the U{www.gnu.org/copyleft/gpl.html}{GNU General Public License}
+DOC
+
+ die() { echo -e "$myname: $Err$@$Nor" 1>&2; exit 1; }
+ help() { sed -n '/^= Synopsis/,/^= /p' $0|sed '1s/.*/Usage:/;/^= /d'; exit; }
+helpall() { sed -n '/^<<.DOC.$/,/^DOC$/p' $0|sed -n '1d;$d;p'|less; exit; }
+version() { echo $version; exit; }
+
+Nor='\e[0m' # reset color ]
+Err='\e[31;1m' # light red ]
+
+setdir() { # create installation directory
for i in MAIN LOCAL HOME; do
- TREE=$(kpsewhich --expand-var \$TEXMF$i)
- test -w $TREE && break
- TREE=
+ tree=$(kpsewhich --expand-var \$TEXMF$i)
+ test -w $tree && break
+ tree=
done
- test "$TREE" = "" && die "Could not find a writable TeX tree"
- INSTTEX=${TREE}/tex/latex/$NAME
- INSTSRC=$TREE/source/latex/$NAME
- INSTDOC=$TREE/doc/latex/$NAME
- mkdir -p $INSTTEX || die could not create $INSTTEX
- mkdir -p $INSTSRC || die could not create $INSTSRC
- mkdir -p $INSTDOC || die could not create $INSTDOC
+ [[ -n $tree ]] || die "Could not find a writable TeX tree"
+ insttex=${tree}/tex/latex/$dtxname
+ instsrc=$tree/source/latex/$dtxname
+ instdoc=$tree/doc/latex/$dtxname
+ mkdir -p $insttex || die could not create $insttex
+ mkdir -p $instsrc || die could not create $instsrc
+ mkdir -p $instdoc || die could not create $instdoc
}
-function testexecs { # test presence of executables
- for i in ${EXECUTABLES[*]}; do
+testexecs() { # test presence of executables
+ for i in ${executables[*]}; do
type $i &> /dev/null || die executable $i not found
done
}
-function readme { # generate the README file
+readme() { # generate the README file
sed -n '/^%<\*readme>/,/^%<\/readme>/p
- /\\changes{v'$VERSION'}/,/^% }/p' $NAME.dtx |
+ /\\changes{v'$dtxversion'}/,/^% }/p' $dtxname.dtx |
sed 's/^%//;s/\\\\$//
/<.readme>/d
/^ }/d
- s/ \\changes.*/Changes in version '$VERSION':/
+ s/ \\changes.*/Changes in version '$dtxversion':/
s/$\\Rightarrow\$/=>/g
s/\\textbackslash/\\/g
s/\\text\(sl\|it\){\([^}]\+\)}/\/\2\//g # \textsl{...} -> /.../
@@ -47,61 +82,68 @@ sed 's/^%//;s/\\\\$//
grep "Changes in version" README >/dev/null || die changes not detected
}
-function clean { # clean but keep what goes in the zip
- rm -f $NAME.{aux,fls,glo,gls,idx,ilg,ind,log,out,toc}
- rm -f examples/*/{$NAME*,*.{pdf,aux,log,fls,out}}
-}
+makeall() {
+ grep '%<\*install>' $dtxname.dtx >/dev/null && # for self-extracting dtx files
+ delete+=($dtxname.ins) ||
+ echo y |tex $dtxname.ins >/dev/null
-function makeall {
- echo y |tex $NAME.ins >/dev/null
# install any .ttf files
mkdir -p ~/.fonts
find examples -name '*.ttf' -exec cp {} ~/.fonts \;
fc-cache ~/.fonts
- # create the README file
- readme
+ readme # create the README file
# compile all examples
cd examples
for i in *; do
cd $i
- for j in ../../{$NAME.cls,languages/isodoc*.ldf}; do ln -sf $j; done
- read TEX <$i.tex
- if [[ $TEX =~ ^%! ]]; then TEX=${TEX#%!}; else TEX=pdflatex;fi
- $TEX --interaction=batchmode $i >/dev/null || die error compiling $i
- $TEX --interaction=batchmode $i >/dev/null || die error compiling $i
+ for j in ../../{$dtxname.cls,languages/isodoc*.ldf}; do ln -sf $j; done
+ mk --noprint --noview $i && mk -c $i
test -e logoletter.pdf && pdfseparate -l 2 logoletter.pdf logo%d.pdf
cd ..
done
cd ..
- # make $NAME.pdf
- pdflatex --recorder --interaction=batchmode $NAME.dtx >/dev/null ||
- die "`texlog_extract $NAME.log`"
- test -f $NAME.glo && makeindex -q -s gglo.ist -o $NAME.gls $NAME.glo
- test -f $NAME.idx && makeindex -q -s gind.ist -o $NAME.ind $NAME.idx
- pdflatex --interaction=batchmode $NAME.dtx > /dev/null
- pdflatex --interaction=batchmode $NAME.dtx > /dev/null
+
+ mk --noprint --noview $dtxname.dtx && mk -c $dtxname.dtx # make $dtxname.pdf
}
-function installall {
- # cleanup and install
- clean
- echo installing in $TREE
- rm -rf $INSTTEX/* $INSTSRC/* $INSTDOC/*
- cp -f $NAME.$EXT languages/iso* $INSTTEX
- cp -a $NAME.{ins,dtx} $INSTSRC
- cp -a README inst languages/template.ldf $NAME.pdf examples/* $INSTDOC
- mktexlsr $TREE 2>/dev/null
- rm $NAME.cls
+installall() {
+ # install and cleanup
+ echo installing in $tree
+
+ rm -rf $insttex/* $instsrc/* $instdoc/*
+ find examples \( -type l -o -name '*.pdf' \) -delete
+ cp -f $dtxname.$ext languages/iso* $insttex
+ cp -a $dtxname.{ins,dtx} $instsrc
+ cp -a README inst languages/isodoc-template.ldf $dtxname.pdf examples/* $instdoc
+ mktexlsr $tree 2>/dev/null
+ for i in ${delete[@]}; do rm -f $i; done
cd ..
- zipfile=$NAME/$NAME-$VERSION.zip
+ zipfile=$dtxname/$dtxname-$dtxversion.zip
rm -f $zipfile
- zip -Drq $zipfile $NAME/* -x $NAME/test/* -x $NAME.$EXT
- cd $NAME
- rm README $NAME.pdf
+ zip -rq $zipfile $dtxname/*
+ cd $dtxname
}
+options=$(getopt \
+ -n $myname \
+ -o hHV \
+ -l help,Help,version \
+ -- "$@"
+) || exit 1
+eval set -- "$options"
+while [ $# -gt 0 ]; do
+ case $1 in
+ (-h|--help) help;;
+ (-H|--Help) helpall;;
+ (-V|--version) version;;
+ (--) shift; break;;
+ (*) break;;
+ esac
+done
+[[ -z $1 ]] || die No arguments expected
+
testexecs
setdir
makeall
diff --git a/Master/texmf-dist/doc/latex/isodoc/isodoc.pdf b/Master/texmf-dist/doc/latex/isodoc/isodoc.pdf
index 64c880d9166..498f8de09b4 100644
--- a/Master/texmf-dist/doc/latex/isodoc/isodoc.pdf
+++ b/Master/texmf-dist/doc/latex/isodoc/isodoc.pdf
Binary files differ
diff --git a/Master/texmf-dist/doc/latex/isodoc/template.ldf b/Master/texmf-dist/doc/latex/isodoc/template.ldf
deleted file mode 100644
index 55018c52077..00000000000
--- a/Master/texmf-dist/doc/latex/isodoc/template.ldf
+++ /dev/null
@@ -1,44 +0,0 @@
-\def\isodoc@xxYY{%
- \gdef\accountdatatext {...} % Banking data
- \gdef\accountnametext {...} % in the name of
- \gdef\accountnotext {...} % Account no.
- \gdef\amounttext {...} % Amount
- \gdef\bictext {...} % \scshape{bic}
- \gdef\ccname {...} % cc
- \gdef\cellphonetext {...} % cellphone
- \gdef\chambertext {...} % ch.comm.
- \gdef\datetext {...} % Date
- \gdef\daystext {...} % days
- \gdef\descriptiontext {...} % Description
- \gdef\emailtext {...} % email
- \gdef\enclosurestext {...} % Enclosures:
- \gdef\enclosuretext {...} % Enclosure:
- \gdef\faxtext {...} % telefax
- \gdef\invoicetext {...} % \textbf{\textsc{\Large invoice}}
- \gdef\oftext {...} % of
- \gdef\ourreftext {...} % Our reference
- \gdef\pagetext {...} % Page
- \gdef\phonetext {...} % telephone
- \gdef\referencetext {...} % Reference
- \gdef\routenotext {...} % Routing no
- \gdef\subjecttext {...} % Subject:
- \gdef\termtext {...} % term of payment
- \gdef\totaltext {...} % Total
- \gdef\totext {...} % To
- \gdef\vatnotext {...} % vat no.
- \gdef\vattext {...} % Vat
- \gdef\websitetext {...} % website
- \gdef\yourlettertext {...} % Your letter of
- \gdef\yourreftext {...} % Your reference
- \gdef\@isodate {\ifcase\day\or
- 1st\or 2nd\or 3rd\or 4th\or 5th\or
- 6th\or 7th\or 8th\or 9th\or 10th\or
- 11th\or 12th\or 13th\or 14th\or 15th\or
- 16th\or 17th\or 18th\or 19th\or 20th\or
- 21st\or 22nd\or 23rd\or 24th\or 25th\or
- 26th\or 27th\or 28th\or 29th\or 30th\or
- 31st\fi\space\ifcase\month\or
- January\or February\or March\or April\or May\or June\or
- July\or August\or September\or October\or November\or December\fi
- \space \number\year}
-}